yabasic (1:2.86.8-1) unstable; urgency=medium

  * New upstream release
    - Using pkg-config (if available) to locate libffi
    - Bringing pkg.m4 with us to ease build process

 -- Graham Inggs <ginggs@debian.org>  Sun, 10 May 2020 09:29:28 +0000

yabasic (1:2.86.6-1) unstable; urgency=medium

  * New upstream release
    - Fix double backslash in string before quote
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Fri, 20 Mar 2020 06:38:18 +0000

yabasic (1:2.86.4-1) unstable; urgency=medium

  * New upstream release
    - Fixes for various heap overflows
    - Fix for do-loop / continue
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Thu, 16 Jan 2020 13:57:34 +0000

yabasic (1:2.86.0-1) unstable; urgency=medium

  * New upstream release
    - Added new functions bitnot
    - Fixes for bit-arithmetic (signed/unsigned)

 -- Graham Inggs <ginggs@debian.org>  Wed, 04 Dec 2019 09:26:04 +0000

yabasic (1:2.85.0-1) unstable; urgency=medium

  * New upstream release
    - Added new functions shl, shr and round
    - Introduced binary literals preceded by 0b
    - Fixes for hex literals
    - The error-command no longer adds a line number

 -- Graham Inggs <ginggs@debian.org>  Fri, 22 Nov 2019 10:52:43 +0000

yabasic (1:2.84.3-1) unstable; urgency=medium

  * New upstream release
    - Better debugging for library path
    - Clean builds for Windows setup-program

 -- Graham Inggs <ginggs@debian.org>  Wed, 13 Nov 2019 11:24:53 +0000

yabasic (1:2.84.2-1) unstable; urgency=medium

  * New upstream release
    - Fixed some potential stackoverflows
    - Removed empty dir related with nano
    - Tests with tmux only within the Rakefile
  * Drop build dependency on tmux
  * Revert using @builddeps@ in test dependencies,
    add libffi-dev and libncurses5-dev
  * Bump Standards-Version to 4.4.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 09 Oct 2019 07:42:50 +0000

yabasic (1:2.84.1-1) unstable; urgency=medium

  * New upstream release
    - Make unload_library after call the default for foreign_functions
    - Fixes to docu
    - Requiring libffi for build (unless specified other by configure-option)
    - explicit error no longer unwinds call-stack
  * Use @builddeps@ in test dependencies to prevent
    autopkgtest failure during dh_auto_configure

 -- Graham Inggs <ginggs@debian.org>  Tue, 23 Jul 2019 12:52:51 +0000

yabasic (1:2.84.0-1) unstable; urgency=medium

  * New upstream release
    - New command foreign_buffer_set_buffer
  * Bump Standards-Version to 4.4.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Mon, 15 Jul 2019 13:11:08 +0000

yabasic (1:2.83.3-1) unstable; urgency=medium

  * New upstream release
    - Fix for line-numbers in errors after import
    - Updating the manual
    - Allow specifying null-pointer for foreign functions
    - Documentation
  * Drop kbsd_and_hurd.patch, included upstream
  * Switch to debhelper 12
  * Set Rules-Requires-Root: no
  * Upload to unstable

 -- Graham Inggs <ginggs@debian.org>  Mon, 01 Jul 2019 13:03:04 +0000

yabasic (1:2.83.0-2) experimental; urgency=medium

  * Add build dependency on libffi-dev to enable
    support for calling foreign libraries
  * Add test dependency on libx11-dev to prevent
    autopkgtest failure during dh_auto_configure

 -- Graham Inggs <ginggs@debian.org>  Wed, 19 Jun 2019 13:22:26 +0000

yabasic (1:2.83.0-1) experimental; urgency=medium

  * New upstream release
    - Unix: Added a syntax-file for the nano-editor;
      contributed by Stephan Muesse
    - Made parentheses around condition in while and until optional
    - Better error messages on misaligned control structures
    - New functions external() and external$() to invoke
      functions from external c-libraries
    - Fixes for line-numbers in error messages
    - Revised and updated the documentation
  * Refresh kbsd_and_hurd.patch

 -- Graham Inggs <ginggs@debian.org>  Tue, 18 Jun 2019 13:58:53 +0000

yabasic (1:2.82.1-1) experimental; urgency=medium

  * New upstream release
    - Allowing comments after import statement
    - Fixes regarding error messages

 -- Graham Inggs <ginggs@debian.org>  Tue, 02 Apr 2019 10:02:24 +0000

yabasic (1:2.82.0-1) unstable; urgency=medium

  * New upstream release
    - Advanced version of autoconf and other tools
    - Fix in tests
    - Fixed nested import of libraries
    - Libraries can now be found in the directory of the main file too
    - Error messages try to show and mark the offending part of the code
    - Hexadecimal numerical literals are supported, e.g. print 0xff
  * Update flex_and_bison.patch
  * Run build-time tests in parallel again
  * Fix build on kFreeBSD and GNU Hurd, thanks James Clarke!
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Wed, 20 Feb 2019 13:08:52 +0000

yabasic (1:2.81.4-1) unstable; urgency=medium

  * New upstream release
    - Fixed a compile-problem on macos
    - Corrected a rendering problem on www.yabasic.de, which had cut off the
      bottom-lines of many pages
    - Fixed error with inkey$ and clear screen
    - Fixed fatal error with inkey$ and upper case letters
  * Do not run build-time tests in parallel

 -- Graham Inggs <ginggs@debian.org>  Thu, 07 Feb 2019 16:40:47 +0000

yabasic (1:2.81.2-1) unstable; urgency=medium

  * New upstream release
    - Fixed a problem under netbsd, which prevented yabasic from
      finding its own executable
    - Fix on macos for curses-initialization e.g. during "clear screen"
    - Fix that allows libraries to start with a comment introduced by
      a hash or a single quote
    - Made the prior "Guide into the guts" available again as
      "Some remarks on changing Yabasic"; see www.yabasic.de
    - Document options for unix and windows in the same chapter
  * Drop bash-path.patch included upstream
  * Update year in debian/copyright
  * Bump Standards-Version to 4.3.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 06 Jan 2019 13:46:28 +0000

yabasic (1:2.81.1-1) unstable; urgency=medium

  * New upstream release
    - New function chomp$
    - Added new peek "interpreter_path"
    - Fixed a sporadic issue with bound programs
    - Fix: Allow yabasic to run from within a script
  * Add bash and tmux dependencies for new tests
  * New bash-path.patch: fix path to /bin/bash

 -- Graham Inggs <ginggs@debian.org>  Tue, 13 Nov 2018 10:57:53 +0000

yabasic (1:2.80.0-1) unstable; urgency=medium

  * New upstream release
    - Added functions floor() and ceil()
    - Checking for function clock_gettime during configure
  * Bump Standards-Version to 4.2.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Fri, 21 Sep 2018 12:38:10 +0000

yabasic (1:2.79.2-1) unstable; urgency=medium

  * New upstream release
    - Introduced new peeks "secondsrunning" and "millisrunning"
    - Bugfixes regarding the switch statement
    - Fixed error related with yydebug
  * Refresh flex_and_bison.patch
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 19 May 2018 17:21:35 +0000

yabasic (1:2.78.5-1) unstable; urgency=medium

  * New upstream release
    - Introduced new peek "secondsrunning"
    - Within a bound yabasic-programs the name is correctly set
      (as returned by peeking "program_name")
    - Introduced new string-peeks "program_name" and "program_file_name"
    - Bugfixes regarding bound programs and libraries
  * Fix a typo in previous changelog entry
  * Add out.dat to debian/clean to fix FTBFSx2

 -- Graham Inggs <ginggs@debian.org>  Tue, 03 Apr 2018 11:13:41 +0000

yabasic (1:2.78.3-1) unstable; urgency=medium

  * New upstream release
    - Fixed an up to 4-times performance penalty,
      that has been introduced in a previous version
    - Brought back "Edit" to the windows context menu
  * Update Vcs-* URIs for move to salsa.debian.org
  * Switch to debhelper 11
  * Update debian/copyright
  * Remove trailing whitespace from debian/changelog
  * Bump Standards-Version to 4.1.3, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 31 Jan 2018 18:47:48 +0000

yabasic (1:2.78.2-2) unstable; urgency=medium

  * Run dh_autoreconf before dh_auto_configure in autopkgtest

 -- Graham Inggs <ginggs@debian.org>  Wed, 20 Sep 2017 11:18:56 +0000

yabasic (1:2.78.2-1) unstable; urgency=medium

  * New upstream release
    - The ran()-function is now guaranteed to return 2**30 different values
  * Refresh flex_and_bison.patch
  * Enable autopkgtests

 -- Graham Inggs <ginggs@debian.org>  Wed, 13 Sep 2017 14:28:31 +0000

yabasic (1:2.78.1-1) unstable; urgency=medium

  * New upstream release
    - No more dump when using color without window open
    - Processing of yabasic.xml finds hellip-entity
  * Bump Standards-Version to 4.1.0, no changes needed

 -- Graham Inggs <ginggs@debian.org>  Tue, 05 Sep 2017 11:52:17 +0000

yabasic (1:2.78.0-1) unstable; urgency=medium

  * New upstream release
    - Allowed for numeric argument after break
    - Fixed format of manpage (unix)
    - Reworked the switch-statement, added tests
  * Drop patches included upstream and refresh remaining
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Mon, 23 Jan 2017 16:17:02 +0200

yabasic (1:2.77.3-1) unstable; urgency=medium

  * New upstream release
    - Fixed insecure usage of strcpy (LP: #424602)
    - Better logging for windows installer
    - Spelling corrections
  * Drop patches included upstream and refresh remaining
  * Update debian/copyright, drop comment about old licensing
  * Fix strncpy() issue when regenerating flex parser

 -- Graham Inggs <ginggs@debian.org>  Wed, 04 Jan 2017 11:28:12 +0200

yabasic (1:2.77.2-1) unstable; urgency=medium

  * New maintainer (Closes: #465659)
  * New upstream release
  * Switch to debhelper 10, source format 3.0 (quilt)
  * Update debian/watch
  * Update debian/control with Homepage and Vcs-* fields
  * Build with hardening flags and link with --as-needed
  * Regenerate flex and bison parsers
  * Machine-readable debian/copyright
  * Bump Standards-Version to 3.9.8, no further changes
  * Use SOURCE_DATE_EPOCH for reproducible timestamp
  * Clarify licensing

 -- Graham Inggs <ginggs@debian.org>  Wed, 21 Dec 2016 10:16:55 +0200

yabasic (2.763-5) unstable; urgency=low

  * QA upload
  * Patch graphic.diff: fix a bug that made yabasic crash on executing
    "open window". Thanks to John Bazik for having sent in the patch.
    Closes: #496962.
  * Doc-base: change section to Programming/Basic
  * Add ${misc:Depends} to package Dependency
  * Standards-Version 3.8.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 30 Jan 2009 21:21:50 +0100

yabasic (2.763-4) unstable; urgency=low

  * Orphaning.
  * yabasic.1: Fix unintended macro invocations.
  * debian/menu: Menu transition (to Applications/Programming).
  * Conforms to Standards version 3.7.3.

 -- Matej Vela <vela@debian.org>  Wed, 13 Feb 2008 21:16:16 +0100

yabasic (2.763-3) unstable; urgency=low

  * Switch to cdbs.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sun, 13 Aug 2006 15:03:00 +0200

yabasic (2.763-2) unstable; urgency=low

  * yabasic.1: Apply corrections from A Costa.  Closes: #351017.
  * Switch to debhelper 5.

 -- Matej Vela <vela@debian.org>  Sun, 19 Mar 2006 14:51:53 +0100

yabasic (2.763-1) unstable; urgency=low

  * New upstream release.

 -- Matej Vela <vela@debian.org>  Mon,  3 Oct 2005 21:09:55 +0200

yabasic (2.762-1) unstable; urgency=low

  * New upstream release.
    - Includes typo fixes from A Costa.  Closes: #325327.

 -- Matej Vela <vela@debian.org>  Sat, 17 Sep 2005 16:03:44 +0200

yabasic (2.761-2) unstable; urgency=low

  * Add build dependency on libxt-dev.  Closes: #325283.

 -- Matej Vela <vela@debian.org>  Tue, 30 Aug 2005 13:13:50 +0200

yabasic (2.761-1) unstable; urgency=low

  * New upstream release.
  * Update X11 build dependencies.
  * debian/watch: Add.
  * debian/changelog: Remove "closes" keyword from old entries to
    placate Lintian.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Fri, 26 Aug 2005 09:50:56 +0200

yabasic (2.751-1) unstable; urgency=low

  * New upstream release.  Closes: #239972.
  * Switch to debhelper 4.
  * debian/menu: Add menu file.
  * debian/rules: Honor DEB_BUILD_OPTIONS=noopt.
  * Conforms to Standards version 3.6.1.

 -- Matej Vela <vela@debian.org>  Sat, 19 Mar 2005 16:45:38 +0100

yabasic (2.715-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Sat, 13 Apr 2002 18:44:12 +0200

yabasic (2.710-1) unstable; urgency=low

  * New upstream version.
  * debian/changelog: Removed obsolete Emacs local variables.
  * debian/doc-base: Added.
  * debian/rules: Specify build and host type to configure.  Use
    config.sub from autotools-dev.

 -- Matej Vela <vela@debian.org>  Sun, 23 Dec 2001 23:16:49 +0100

yabasic (2.701-1) unstable; urgency=low

  * New upstream version.
  * Conforms to Standards version 3.5.6.

 -- Matej Vela <vela@debian.org>  Sun,  2 Sep 2001 19:02:51 +0200

yabasic (2.697-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Sat, 28 Jul 2001 13:35:45 +0200

yabasic (2.696-2) unstable; urgency=low

  * Updated config.guess and config.sub.  Closes: #100785.
  * Conforms to Standards version 3.5.5.

 -- Matej Vela <vela@debian.org>  Thu, 14 Jun 2001 17:52:52 +0200

yabasic (2.696-1) unstable; urgency=high

  * New upstream version.
  * graphic.c: Fixed a /tmp race condition.
  * Updated the upstream URL.
  * Conforms to Standards version 3.5.4.

 -- Matej Vela <vela@debian.org>  Fri,  1 Jun 2001 11:05:42 +0200

yabasic (2.66r3-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Fri, 12 Jan 2001 03:15:07 +0100

yabasic (2.65r5-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.  Closes: Bug#80307.
  * Reworked the packaging; conforms to Stanards version 3.2.1.

 -- Matej Vela <vela@debian.org>  Mon,  1 Jan 2001 13:12:40 +0100

yabasic (2.64-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Wed,  9 Aug 2000 14:03:56 -0400

yabasic (2.60-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Sat, 27 Nov 1999 15:39:57 -0500

yabasic (2.53-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Sat, 10 Jul 1999 17:31:39 -0400

yabasic (2.42-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Sun, 21 Feb 1999 17:43:21 -0500

yabasic (2.41-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Fri,  5 Feb 1999 18:17:19 -0500

yabasic (2.20-2) unstable frozen; urgency=low

  * Fixed #!/usr/bin/yabasic problem in examples.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Fri, 20 Nov 1998 21:47:38 -0500

yabasic (2.20-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Tue, 18 Aug 1998 17:34:59 -0400

yabasic (2.16-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Tue,  5 May 1998 17:06:18 -0400

yabasic (2.14-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Mon, 20 Apr 1998 19:47:02 -0400

yabasic (2.13-3) unstable frozen; urgency=low

  * Debian changelog file is now included in the package.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Sat, 11 Apr 1998 13:24:04 -0400

yabasic (2.13-2) unstable frozen; urgency=low

  * Fixed lintian error bad-link-to-undocumented-manpage.
  * Fixed lintian error spelling-error-in-description.
  * Fixed lintian error symlink-should-be-relative.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Mon, 30 Mar 1998 18:14:00 -0500

yabasic (2.13-1) unstable; urgency=low

  * New upstream version.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Thu, 12 Mar 1998 21:17:34 -0500

yabasic (2.0-12) unstable; urgency=low

  * Updated year in copyright file, added pointer to copy of GPL, and
    updated to Standards-Version 2.4.0.0 (cf. #16743).

 -- Johnie Ingram <johnie@debian.org>  Tue,  3 Feb 1998 15:24:23 -0500

yabasic (2.0-11) unstable; urgency=low

  * Corrected Standards-Version to 2.3.0.1 (#16743).
  * Sparc version now has X support.

 -- Johnie Ingram <johnie@debian.org>  Sun, 11 Jan 1998 21:08:52 -0500

yabasic (2.0-10) unstable; urgency=low

  * Fixed autocompilation problem (#14288).
  * Updated to Standards-Version: 2.2.0.1.

 -- Johnie Ingram <johnie@debian.org>  Thu, 27 Nov 1997 16:56:21 -0500

yabasic (2.0-9) unstable; urgency=low

  * Compiled with xlib6g (#12703).

 -- Johnie Ingram <johnie@debian.org>  Wed, 10 Sep 1997 10:43:59 -0400

yabasic (2.0-8) unstable; urgency=low

  * Fixed packaging flaw where it would not link against xlib6 even when X
    was available on that architecture.

 -- Johnie Ingram <johnie@debian.org>  Wed,  3 Sep 1997 11:14:35 -0400

yabasic (2.0-7) unstable; urgency=low

  * Updated packaging for multi-compiler, multi-architecure support.
  * Tweaked to compile on sparc architecture (without X support).

 -- Johnie Ingram <johnie@debian.org>  Sun, 31 Aug 1997 02:42:39 -0400

yabasic (2.0-6) unstable; urgency=low

  * Updated to Standards-Version: 2.2.0.0 and debmake 3.3.11.
  * Switched to pristine upstream tar archive.

 -- Johnie Ingram <johnie@debian.org>  Sat,  9 Aug 1997 13:57:35 -0400

yabasic (2.0-5) unstable; urgency=low

  * Updated to Standards-Version: 2.1.3.3 and debmake 3.3.5.
  * Tweaked debian/rules, linked against libc6.

 -- Johnie Ingram <johnie@debian.org>  Tue, 15 Jul 1997 00:20:30 -0400

yabasic (2.0-4) unstable; urgency=low

  * Added file checksums and tweaked rules file for current debmake
    (3.2.2).

 -- Johnie Ingram <johnie@debian.org>  Sat, 8 Mar 1997 11:16:11 -0500

yabasic (2.0-3) unstable; urgency=low

  * Moved from "devel" to new section "interpreters".

 -- Johnie Ingram <johnie@debian.org>  Tue, 7 Jan 1997 15:24:48 -0500

yabasic (2.0-2) stable unstable; urgency=low

  * Minor tweaks to copyright info.
  * Updated to Standards-Version 2.1.2.2 with debmake 2.41.
  * Dependency changed to allow use of libc5 from stable distribution.

 -- Johnie Ingram <johnie@debian.org>  Sun, 29 Dec 1996 01:51:03 -0500

yabasic (2.0-1) unstable; urgency=low

  * Initial Release.

 -- Johnie Ingram <johnie@debian.org>  Tue, 17 Dec 1996 22:10:44 -0500
